Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I recently shifted from Ubuntu 12.10 to Linux Mint 10.

The kernel version I am using is 2.6.35-22-generic

When I try to update it using sudo apt-get update, I get the following error:

Ign file: binary/ Release.gpg
Ign file:/usr/share/local-repository/ binary/ Translation-en
Ign file:/usr/share/local-repository/ binary/ Translation-en_US
Ign file: binary/ Release
Ign file: binary/ Packages
Ign file: binary/ Packages
Get:1 http://ftp.us.debian.org testing Release.gpg [1,571B]
Hit http://ftp.us.debian.org/debian/ testing/contrib Translation-en
Ign http://ftp.us.debian.org/debian/ testing/contrib Translation-en_US
Hit http://ftp.us.debian.org/debian/ testing/main Translation-en
Ign http://ftp.us.debian.org/debian/ testing/main Translation-en_US
Hit http://ftp.us.debian.org/debian/ testing/non-free Translation-en
Hit http://packages.medibuntu.org maverick Release.gpg
Ign http://ftp.us.debian.org/debian/ testing/non-free Translation-en_US
Hit http://archive.canonical.com maverick Release.gpg
Ign http://security.ubuntu.com maverick-security Release.gpg
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-en_US
Ign http://archive.ubuntu.com maverick Release.gpg
Ign http://archive.ubuntu.com/ubuntu/ maverick/main Translation-en
Ign http://archive.ubuntu.com/ubuntu/ maverick/main Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-en
Ign http://archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ maverick/restricted Translation-en
Ign http://archive.ubuntu.com/ubuntu/ maverick/restricted Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ maverick/universe Translation-en
Ign http://archive.ubuntu.com/ubuntu/ maverick/universe Translation-en_US
Ign http://archive.ubuntu.com maverick-updates Release.gpg
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-en_US
Ign http://archive.canonical.com/ubuntu/ maverick/partner Translation-en
Ign http://archive.canonical.com/ubuntu/ maverick/partner Translation-en_US
Ign http://archive.canonical.com julia Release.gpg
Ign http://archive.canonical.com/ julia/partner Translation-en
Ign http://archive.canonical.com/ julia/partner Translation-en_US
Get:2 http://linux.dropbox.com lucid Release.gpg [489B]
Ign http://linux.dropbox.com/ubuntu/ lucid/main Translation-en
Ign http://linux.dropbox.com/ubuntu/ lucid/main Translation-en_US
Get:3 http://packages.linuxmint.com julia Release.gpg [197B]
Get:4 http://ftp.us.debian.org testing Release [147kB]
Hit http://repository.spotify.com stable Release.gpg
Ign http://repository.spotify.com/ stable/non-free Translation-en
Ign http://repository.spotify.com/ stable/non-free Translation-en_US
Ign http://ftp.us.debian.org testing Release
Ign http://packages.medibuntu.org/ maverick/free Translation-en
Hit http://ftp.us.debian.org testing/main amd64 Packages/DiffIndex
Ign http://archive.ubuntu.com/ubuntu/ maverick-updates/main Translation-en
Ign http://archive.ubuntu.com/ubuntu/ maverick-updates/main Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ maverick-updates/multiverse Translation-en
Ign http://archive.ubuntu.com/ubuntu/ maverick-updates/multiverse Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ maverick-updates/restricted Translation-en
Ign http://archive.ubuntu.com/ubuntu/ maverick-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ maverick-updates/universe Translation-en
Ign http://archive.ubuntu.com/ubuntu/ maverick-updates/universe Translation-en_US
Ign http://archive.ubuntu.com maverick Release
Ign http://security.ubuntu.com maverick-security Release
Hit http://archive.canonical.com maverick Release
Ign http://archive.canonical.com julia Release
Ign http://packages.medibuntu.org/ maverick/free Translation-en_US
Hit http://repository.spotify.com stable Release
Get:5 http://linux.dropbox.com lucid Release [2,599B]
Ign http://packages.medibuntu.org/ maverick/non-free Translation-en
Ign http://security.ubuntu.com maverick-security/main amd64 Packages/DiffIndex
Ign http://archive.canonical.com julia/partner Sources
Ign http://packages.linuxmint.com/ julia/import Translation-en
Ign http://packages.linuxmint.com/ julia/import Translation-en_US
Ign http://packages.linuxmint.com/ julia/main Translation-en
Ign http://packages.linuxmint.com/ julia/main Translation-en_US
Ign http://packages.linuxmint.com/ julia/upstream Translation-en
Ign http://packages.linuxmint.com/ julia/upstream Translation-en_US
Ign http://repository.spotify.com stable/non-free amd64 Packages
Ign http://packages.medibuntu.org/ maverick/non-free Translation-en_US
Hit http://ftp.us.debian.org testing/contrib amd64 Packages/DiffIndex
Hit http://ftp.us.debian.org testing/non-free amd64 Packages/DiffIndex
Ign http://security.ubuntu.com maverick-security/restricted amd64 Packages/DiffIndex
Ign http://security.ubuntu.com maverick-security/universe amd64 Packages/DiffIndex
Ign http://security.ubuntu.com maverick-security/multiverse amd64 Packages/DiffIndex
Ign http://archive.ubuntu.com maverick-updates Release
Ign http://archive.canonical.com julia/partner amd64 Packages
Hit http://archive.canonical.com maverick/partner amd64 Packages
Ign http://repository.spotify.com stable/non-free amd64 Packages
Hit http://packages.medibuntu.org maverick Release
Ign http://security.ubuntu.com maverick-security/main amd64 Packages
Ign http://archive.canonical.com julia/partner Sources
Hit http://repository.spotify.com stable/non-free amd64 Packages
Ign http://security.ubuntu.com maverick-security/restricted amd64 Packages
Ign http://security.ubuntu.com maverick-security/universe amd64 Packages
Get:6 http://linux.dropbox.com lucid/main amd64 Packages [1,148B]
Ign http://archive.canonical.com julia/partner amd64 Packages
Hit http://packages.medibuntu.org maverick/free amd64 Packages
Ign http://security.ubuntu.com maverick-security/multiverse amd64 Packages
Ign http://archive.ubuntu.com maverick/main amd64 Packages/DiffIndex
Ign http://archive.ubuntu.com maverick/restricted amd64 Packages/DiffIndex
Err http://archive.canonical.com julia/partner Sources
  404  Not Found [IP: 91.189.92.150 80]
Ign http://security.ubuntu.com maverick-security/main amd64 Packages
Ign http://security.ubuntu.com maverick-security/restricted amd64 Packages
Err http://archive.canonical.com julia/partner amd64 Packages
  404  Not Found [IP: 91.189.92.150 80]
Hit http://packages.medibuntu.org maverick/non-free amd64 Packages
Ign http://security.ubuntu.com maverick-security/universe amd64 Packages
Ign http://archive.ubuntu.com maverick/universe amd64 Packages/DiffIndex
Ign http://archive.ubuntu.com maverick/multiverse amd64 Packages/DiffIndex
Ign http://security.ubuntu.com maverick-security/multiverse amd64 Packages
Err http://security.ubuntu.com maverick-security/main amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com maverick-security/restricted amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com maverick-security/universe amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com maverick-security/multiverse amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Get:7 http://packages.linuxmint.com julia Release [12.1kB]
Ign http://archive.ubuntu.com maverick-updates/main amd64 Packages/DiffIndex
Ign http://archive.ubuntu.com maverick-updates/restricted amd64 Packages/DiffIndex
Ign http://archive.ubuntu.com maverick-updates/universe amd64 Packages/DiffIndex
Ign http://archive.ubuntu.com maverick-updates/multiverse amd64 Packages/DiffIndex
Ign http://archive.ubuntu.com maverick/main amd64 Packages
Ign http://archive.ubuntu.com maverick/restricted amd64 Packages
Ign http://archive.ubuntu.com maverick/universe amd64 Packages
Ign http://archive.ubuntu.com maverick/multiverse amd64 Packages
Ign http://archive.ubuntu.com maverick-updates/main amd64 Packages
Ign http://archive.ubuntu.com maverick-updates/restricted amd64 Packages
Ign http://archive.ubuntu.com maverick-updates/universe amd64 Packages
Ign http://archive.ubuntu.com maverick-updates/multiverse amd64 Packages
Ign http://archive.ubuntu.com maverick/main amd64 Packages
Ign http://archive.ubuntu.com maverick/restricted amd64 Packages
Ign http://archive.ubuntu.com maverick/universe amd64 Packages
Ign http://archive.ubuntu.com maverick/multiverse amd64 Packages
Ign http://archive.ubuntu.com maverick-updates/main amd64 Packages
Ign http://archive.ubuntu.com maverick-updates/restricted amd64 Packages
Ign http://archive.ubuntu.com maverick-updates/universe amd64 Packages
Ign http://packages.linuxmint.com julia/main amd64 Packages
Ign http://archive.ubuntu.com maverick-updates/multiverse amd64 Packages
Err http://archive.ubuntu.com maverick/main amd64 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err http://archive.ubuntu.com maverick/restricted amd64 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err http://archive.ubuntu.com maverick/universe amd64 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err http://archive.ubuntu.com maverick/multiverse amd64 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err http://archive.ubuntu.com maverick-updates/main amd64 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err http://archive.ubuntu.com maverick-updates/restricted amd64 Packages
  404  Not Found [IP: 91.189.91.13 80]
Ign http://packages.linuxmint.com julia/upstream amd64 Packages
Err http://archive.ubuntu.com maverick-updates/universe amd64 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err http://archive.ubuntu.com maverick-updates/multiverse amd64 Packages
  404  Not Found [IP: 91.189.91.13 80]
Ign http://packages.linuxmint.com julia/import amd64 Packages
Ign http://packages.linuxmint.com julia/main amd64 Packages
Ign http://packages.linuxmint.com julia/upstream amd64 Packages
Ign http://packages.linuxmint.com julia/import amd64 Packages
Get:8 http://packages.linuxmint.com julia/main amd64 Packages [7,502B]
Get:9 http://packages.linuxmint.com julia/upstream amd64 Packages [12.6kB]
Get:10 http://packages.linuxmint.com julia/import amd64 Packages [5,637B]
Fetched 43.9kB in 3s (11.3kB/s)
W: GPG error: http://ftp.us.debian.org testing Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY AED4B06F473041FA NO_PUBKEY 8B48AD6246925553
W: Failed to fetch http://archive.canonical.com/dists/julia/partner/source/Sources.gz  404  Not Found [IP: 91.189.92.150 80]

W: Failed to fetch http://archive.canonical.com/dists/julia/partner/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.92.150 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/maverick-security/main/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/maverick-security/restricted/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/maverick-security/universe/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/maverick-security/multiverse/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/maverick/main/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/maverick/restricted/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/maverick/universe/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/maverick/multiverse/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/maverick-updates/main/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/maverick-updates/restricted/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/maverick-updates/universe/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/maverick-updates/multiverse/binary-amd64/Packages.gz  404  Not Found [IP: 91.189.91.13 80]

E: Some index files failed to download, they have been ignored, or old ones used instead.

My sources.list looks like this

deb http://packages.linuxmint.com/ julia main upstream import
deb http://archive.ubuntu.com/ubuntu/ maverick main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ maverick-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ maverick-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ maverick partner
deb http://packages.medibuntu.org/ maverick free non-free

# deb http://archive.getdeb.net/ubuntu maverick-getdeb apps
# deb http://archive.getdeb.net/ubuntu maverick-getdeb games

 # Debian Testing (currently Wheezy)

deb http://ftp.us.debian.org/debian testing main contrib non-free
deb http://repository.spotify.com stable non-free
deb http://archive.canonical.com/ julia partner
deb-src http://archive.canonical.com/ julia partner
deb http://archive.canonical.com/ julia partner
deb-src http://archive.canonical.com/ julia partner
deb http://archive.canonical.com/ julia partner
deb-src http://archive.canonical.com/ julia partner
deb http://archive.canonical.com/ julia partner
deb-src http://archive.canonical.com/ julia partner
deb http://archive.canonical.com/ julia partner
deb-src http://archive.canonical.com/ julia partner
deb http://archive.canonical.com/ julia partner
deb-src http://archive.canonical.com/ julia partner

I am not updating it via a proxy connection. Any idea what the problem could be?

share|improve this question

2 Answers 2

up vote 2 down vote accepted

Linux Mint 10 isn't supported any more, and Ubuntu maverick (10.10) dropped out of support over a year ago. It's therefore likely that the repos your installation wants have gone away.

Seeing as you were using a recent (12.10) version of Ubuntu, you might want to try Mint 14, the current version.

share|improve this answer
    
sudo apt-get upgrade does not seem to work either :( –  user2015933 May 20 '13 at 15:24
    
Probably because of the same reason -- the maverick repos aren't on archive.ubuntu.com any more. –  Flup May 20 '13 at 15:25
    
so, the only option is to download Linux Mint 14 and then try it? no other options? –  user2015933 May 20 '13 at 15:27
    
If you have do-release-upgrade installed then you could try running that to upgrade to natty (you'll need to upgrade stepwise if you don't want to do a fresh install). See instructions at help.ubuntu.com/community/NattyUpgrades –  Flup May 20 '13 at 15:29
    
I believe its easier to do a direct upgrade :) –  user2015933 May 20 '13 at 15:30

You have two different types of error there, the 404 Not Found errors are probably, as @Flup suggested, because you are using an old system and the repos have probably been taken off line since the versions are no longer supported. The GPG errors:

W: GPG error: http://ftp.us.debian.org testing Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY AED4B06F473041FA NO_PUBKEY 8B48AD6246925553

just mean you need to import the GPG keys of the repositories.

To import the keys do:

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com AED4B06F473041FA
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 8B48AD6246925553
share|improve this answer
    
did not work for me! I got the following error everytime I tried it. gpg: keyserver timed out gpg: keyserver receive failed: keyserver error –  vabhatia Oct 9 '13 at 9:50
    
@vabhatia I just tried it and it works. Perhaps you were not connected to the internet when you tried it? Or perhaps the keyserver was down, try again, it should work. –  terdon Oct 9 '13 at 14:35

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.